Bug 903537 - [abrt] java-1.7.0-openjdk-1.7.0.9-2.3.4.fc18: gtk_widget_real_map: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.9.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-1.7.0.9-2.3.4.fc18: gtk_widget_real_map: Process /u...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
abrt_hash:068574da6a19bc9446303feab24...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-24 04:16 EST by Ivan Mironov
Modified: 2014-01-12 19:27 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 16:03:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (101.05 KB, text/plain)
2013-01-24 04:16 EST, Ivan Mironov
no flags Details
File: build_ids (3.80 KB, text/plain)
2013-01-24 04:17 EST, Ivan Mironov
no flags Details
File: cgroup (135 bytes, text/plain)
2013-01-24 04:17 EST, Ivan Mironov
no flags Details
File: dso_list (27.83 KB, text/plain)
2013-01-24 04:17 EST, Ivan Mironov
no flags Details
File: environ (1.38 KB, text/plain)
2013-01-24 04:17 EST, Ivan Mironov
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-24 04:17 EST, Ivan Mironov
no flags Details
File: maps (77.06 KB, text/plain)
2013-01-24 04:17 EST, Ivan Mironov
no flags Details
File: open_fds (14.90 KB, text/plain)
2013-01-24 04:17 EST, Ivan Mironov
no flags Details
File: proc_pid_status (915 bytes, text/plain)
2013-01-24 04:17 EST, Ivan Mironov
no flags Details
File: var_log_messages (1.05 KB, text/plain)
2013-01-24 04:17 EST, Ivan Mironov
no flags Details
Patch from upstream bugreport. (970 bytes, patch)
2013-01-27 10:36 EST, Ivan Mironov
no flags Details | Diff

  None (edit)
Description Ivan Mironov 2013-01-24 04:16:52 EST
Description of problem:
Eclipse always crashes during exit. It also doesn't save workspace status (open files, panels, etc.) due to this.

Version-Release number of selected component:
java-1.7.0-openjdk-1.7.0.9-2.3.4.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/java -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20121227-2039.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.2.1.v20121227-2033/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20121227-2039/eclipse_1503.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20121227-2039.jar --launcher.overrideVmargs -exitdata ab78013 -preventMasterEclipseLaunch -vm /usr/bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20121227-2039.jar
core_backtrace: 
crash_function: gtk_widget_real_map
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.9.x86_64/jre/bin/java
kernel:         3.7.2-204.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 gtk_widget_real_map at gtkwidget.c:8861
 #6 _g_closure_invoke_va at gclosure.c:840
 #9 gtk_widget_map at gtkwidget.c:3437
 #10 gtk_widget_set_parent at gtkwidget.c:6466
 #11 gtk_bin_add at gtkbin.c:107
 #12 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:1312
 #13 _g_closure_invoke_va at gclosure.c:840
 #16 gtk_container_add at gtkcontainer.c:1208
 #17 gtk_tool_button_construct_contents at gtktoolbutton.c:497
 #18 _g_closure_invoke_va at gclosure.c:840
Comment 1 Ivan Mironov 2013-01-24 04:16:56 EST
Created attachment 686575 [details]
File: backtrace
Comment 2 Ivan Mironov 2013-01-24 04:17:00 EST
Created attachment 686576 [details]
File: build_ids
Comment 3 Ivan Mironov 2013-01-24 04:17:03 EST
Created attachment 686577 [details]
File: cgroup
Comment 4 Ivan Mironov 2013-01-24 04:17:08 EST
Created attachment 686578 [details]
File: dso_list
Comment 5 Ivan Mironov 2013-01-24 04:17:11 EST
Created attachment 686579 [details]
File: environ
Comment 6 Ivan Mironov 2013-01-24 04:17:15 EST
Created attachment 686580 [details]
File: limits
Comment 7 Ivan Mironov 2013-01-24 04:17:18 EST
Created attachment 686581 [details]
File: maps
Comment 8 Ivan Mironov 2013-01-24 04:17:20 EST
Created attachment 686582 [details]
File: open_fds
Comment 9 Ivan Mironov 2013-01-24 04:17:22 EST
Created attachment 686583 [details]
File: proc_pid_status
Comment 10 Ivan Mironov 2013-01-24 04:17:24 EST
Created attachment 686584 [details]
File: var_log_messages
Comment 11 Deepak Bhole 2013-01-25 13:35:34 EST
Originating from swt JNI call:

#45 0x00007f3b5bddac7f in Java_org_eclipse_swt_internal_gtk_OS__1gtk_1widget_1reparent (env=<optimized out>, that=<optimized out>, arg0=<optimized out>, arg1=<optimized out>) at os.c:16762

Re-assigning to Eclipse.
Comment 12 Ivan Mironov 2013-01-25 14:30:38 EST
https://bugs.eclipse.org/bugs/show_bug.cgi?id=382812 - may be related.
Comment 13 Ivan Mironov 2013-01-27 10:34:34 EST
Patch from upstream bugreport solved problem for me.
Comment 14 Ivan Mironov 2013-01-27 10:36:08 EST
Created attachment 688482 [details]
Patch from upstream bugreport.
Comment 15 Alexander Kurtakov 2013-02-19 05:51:21 EST
Chris, please push a build with the upstream patch applied.
Comment 16 Fedora Update System 2013-02-20 06:17:52 EST
eclipse-4.2.2-0.10.git20121217.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/eclipse-4.2.2-0.10.git20121217.fc18
Comment 17 Fedora Update System 2013-02-21 00:45:24 EST
Package eclipse-4.2.2-0.10.git20121217.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-4.2.2-0.10.git20121217.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2796/eclipse-4.2.2-0.10.git20121217.fc18
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2013-02-27 13:44:35 EST
eclipse-4.2.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/eclipse-4.2.2-2.fc18
Comment 19 Fedora Update System 2013-03-04 04:09:25 EST
eclipse-4.2.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/eclipse-4.2.2-3.fc18
Comment 20 Fedora Update System 2013-03-15 07:51:59 EDT
eclipse-4.2.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/eclipse-4.2.2-5.fc18
Comment 21 Fedora Update System 2013-03-19 16:03:28 EDT
eclipse-4.2.2-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.